--[[
	** Monster weapon upgrader by slawkens **

	kills - how much monsters must be killed
	extraAttack - how much extraAttack points will this weapon get
	extraAttackLimit - you can set limit of extraAttack points added
]]--

local monsters = {
	["behemoth"] = {
		[2453] = {
			kills = 1,
			extraAttack = 1,
			extraAttackLimit = 5,
			storage = 37800
		}
	},
	["demon"] = {
		[9980] = {
			kills = 500,
			extraAttack = 1,
			extraAttackLimit = 5,
			storage = 37801
		}
	},
	["demon"] = {
		[7959] = {
			kills = 500,
			extraAttack = 1,
			extraAttackLimit = 5,
			storage = 37802
		}
	},
	["demon"] = {
		[10298] = {
			kills = 500,
			extraAttack = 1,
			extraAttackLimit = 5,
			storage = 37803
		}
	}
}

if(not getItemExtraAttack) then
	if(not getItemAttribute) then
		print("ERROR: (monster_weapon_upgrade.lua) your distribution is not supported!")
		return false
	end
	local function getItemExtraAttack(uid)
		return getItemAttribute("extraattack")
	end
	local function setItemExtraAttack(uid, extraAttack)
		doItemSetAttribute(playerWeapon.uid, "extraattack", extraAttack)
		return true
	end
end

function onKill(cid, target)
	if(isPlayer(target) == TRUE) then
		return TRUE
	end

	local monster = monsters[string.lower(getCreatureName(target))]
	if(not monster) then
		return TRUE
	end

	local playerWeapon = getPlayerWeapon(cid, TRUE)
	if(playerWeapon.itemid == 0) then
		return TRUE
	end

	local weapon = monster[playerWeapon.itemid]
	if(not weapon) then
		return TRUE
	end

	local killedMonsters = getPlayerStorageValue(cid, weapon.storage)
	if(killedMonsters == -1) then
		killedMonsters = 1
	end

	local currentExtraAttack = getItemExtraAttack(playerWeapon.uid)
	if(killedMonsters % weapon.kills == 0 and currentExtraAttack < weapon.extraAttackLimit) then
		setItemExtraAttack(playerWeapon.uid, currentExtraAttack + weapon.extraAttack)
		doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "Congratulations! Your weapon received +" .. weapon.extraAttack .. " attack points and now have total extra damage of +" .. getItemExtraAttack(playerWeapon.uid) .. " points!")
	end

	setPlayerStorageValue(cid, weapon.storage, killedMonsters + 1)
	return TRUE
end