local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

function onCreatureAppear(cid)		npcHandler:onCreatureAppear(cid)		end
function onCreatureDisappear(cid)	npcHandler:onCreatureDisappear(cid)		end
function onCreatureSay(cid, type, msg)	npcHandler:onCreatureSay(cid, type, msg)	end
function onThink()			npcHandler:onThink()				end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)

shopModule:addBuyableItemContainer({'holy'}, 	              7343, 2295, 3000, 4,  	'fur bag holy missile rune') 
shopModule:addBuyableItemContainer({'avalanche'}, 	              7343, 2274, 3000, 4,  	'fur bag avalanche rune') 
shopModule:addBuyableItemContainer({'icicle'}, 	              7343, 2271, 3000, 4,  	'fur bag icicle rune')
shopModule:addBuyableItemContainer({'desintegrate'}, 	              7343, 2310, 3000, 4,  	'fur bag desintegrate rune')
shopModule:addBuyableItemContainer({'poison'}, 	              7343, 2286, 3000, 4,  	'fur bag poison bomb rune')
shopModule:addBuyableItemContainer({'destroy'}, 	              7343, 2261, 3000, 4,  	'fur bag destroy field rune')
shopModule:addBuyableItemContainer({'thunder'}, 	              7343, 2315, 3000, 4,  	'fur bag thunderstorm rune')
shopModule:addBuyableItemContainer({'fire'}, 	              7343, 2305, 3000, 4,  	'fur bag fire bomb rune')
shopModule:addBuyableItemContainer({'wild'}, 	              7343, 2269, 3000, 4,  	'fur bag wild growth rune rune')
shopModule:addBuyableItemContainer({'blank'}, 	              7343, 2260, 300, 1,  	'fur bag blank rune')

shopModule:addBuyableItemContainer({'sd'}, 	             7343, 2268, 8000, 4,  	'fur bag sudden death rune')
shopModule:addBuyableItemContainer({'uh'}, 	             7343, 2273, 5000, 4,  	'fur bag ultimate healing rune')
shopModule:addBuyableItemContainer({'exp'}, 	             7343, 2313, 6500, 8,  	'fur bag explosion rune')
shopModule:addBuyableItemContainer({'gfb'}, 	             7343, 2304, 5000, 4,  	'fur bag greaft fire bomb ')
shopModule:addBuyableItemContainer({'hmm'}, 	             7343, 2311, 4000, 4,  	'fur bag heavy magic missile')
shopModule:addBuyableItemContainer({'fluid'}, 	             7343, 2006, 2000, 7,  	'fur bag mana fluid')
shopModule:addBuyableItemContainer({'wall'}, 	             7343, 2293, 2500, 4,  	'fur bag magic wall')
shopModule:addBuyableItemContainer({'paral'}, 	             7343, 2278, 6000, 4,  	'fur bag paralyze')


shopModule:addBuyableItemContainer({'ih'}, 	              7343, 2265, 4000, 4,  	'fur bag ultimate healing rune')
shopModule:addBuyableItemContainer({'health'}, 	             7343, 7618, 1000, 1,  	'fur bag health potion')
shopModule:addBuyableItemContainer({'strong h'}, 	             7343, 7588, 1500, 1,  	'fur bag strong health potion rune')
shopModule:addBuyableItemContainer({'great h'}, 	             7343, 7591, 3000, 1,  	'fur bag great health potion')
shopModule:addBuyableItemContainer({'ultimate h'}, 	              7343, 8473, 4000, 1,  	'fur bag ultimate health potion')

shopModule:addBuyableItemContainer({'mana'}, 	              7343, 7620, 1000, 1,  	'fur bag mana potion')
shopModule:addBuyableItemContainer({'strong m'}, 	             7343, 7589, 1500, 1,  	'fur bag strong mana potion rune')
shopModule:addBuyableItemContainer({'great m'}, 	             7343, 7590, 2000, 1,  	'fur bag great mana potion')

shopModule:addBuyableItemContainer({'great s'}, 	             7343, 8472, 3000, 1,  	'fur bag great spirit potion')



npcHandler:addModule(FocusModule:new())