local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

function onCreatureAppear(cid)		npcHandler:onCreatureAppear(cid)		end
function onCreatureDisappear(cid)	npcHandler:onCreatureDisappear(cid)		end
function onCreatureSay(cid, type, msg)	npcHandler:onCreatureSay(cid, type, msg)	end
function onThink()			npcHandler:onThink()				end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)

shopModule:addBuyableItemContainer({'holy'}, 	              7343, 2295, 2700, 4,  	'fur bag holy missile rune')
shopModule:addBuyableItemContainer({'avalanche'}, 	              7343, 2274, 2700, 4,  	'fur bag avalanche rune') 
shopModule:addBuyableItemContainer({'icicle'}, 	              7343, 2271, 2700, 4,  	'fur bag icicle rune')
shopModule:addBuyableItemContainer({'desintegrate'}, 	              7343, 2310, 2700, 4,  	'fur bag desintegrate rune')
shopModule:addBuyableItemContainer({'poison'}, 	              7343, 2286, 2700, 4,  	'fur bag poison bomb rune')
shopModule:addBuyableItemContainer({'destroy'}, 	              7343, 2261, 2700, 4,  	'fur bag destroy field rune')
shopModule:addBuyableItemContainer({'thunder'}, 	              7343, 2315, 2700, 4,  	'fur bag thunderstorm rune')
shopModule:addBuyableItemContainer({'fire'}, 	              7343, 2305, 2700, 4,  	'fur bag fire bomb rune')
shopModule:addBuyableItemContainer({'wild'}, 	              7343, 2269, 2700, 4,  	'fur bag wild growth rune rune')
shopModule:addBuyableItemContainer({'blank'}, 	              7343, 2260, 270, 1,  	'fur bag blank rune')

shopModule:addBuyableItemContainer({'sd'}, 	             7343, 2268, 7200, 4,  	'fur bag sudden death rune')
shopModule:addBuyableItemContainer({'uh'}, 	             7343, 2273, 4500, 4,  	'fur bag ultimate healing rune')
shopModule:addBuyableItemContainer({'exp'}, 	             7343, 2313, 5850, 8,  	'fur bag explosion rune')
shopModule:addBuyableItemContainer({'gfb'}, 	             7343, 2304, 4500, 4,  	'fur bag greaft fire bomb ')
shopModule:addBuyableItemContainer({'hmm'}, 	             7343, 2311, 3600, 4,  	'fur bag heavy magic missile')
shopModule:addBuyableItemContainer({'fluid'}, 	             7343, 2006, 1800, 7,  	'fur bag mana fluid')
shopModule:addBuyableItemContainer({'wall'}, 	             7343, 2293, 2250, 4,  	'fur bag magic wall')
shopModule:addBuyableItemContainer({'paral'}, 	             7343, 2278, 5400, 4,  	'fur bag paralyze')


shopModule:addBuyableItemContainer({'ih'}, 	              7343, 2265, 3600, 4,  	'fur bag ultimate healing rune')
shopModule:addBuyableItemContainer({'health'}, 	             7343, 7618, 900, 1,  	'fur bag health potion')
shopModule:addBuyableItemContainer({'strong h'}, 	             7343, 7588, 1350, 1,  	'fur bag strong health potion rune')
shopModule:addBuyableItemContainer({'great h'}, 	             7343, 7591, 2700, 1,  	'fur bag great health potion')
shopModule:addBuyableItemContainer({'ultimate h'}, 	              7343, 8473, 3600, 1,  	'fur bag ultimate health potion')

shopModule:addBuyableItemContainer({'mana'}, 	              7343, 7620, 900, 1,  	'fur bag mana potion')
shopModule:addBuyableItemContainer({'strong m'}, 	             7343, 7589, 1250, 1,  	'fur bag strong mana potion rune')
shopModule:addBuyableItemContainer({'great m'}, 	             7343, 7590, 1800, 1,  	'fur bag great mana potion')

shopModule:addBuyableItemContainer({'great s'}, 	             7343, 8472, 2700, 1,  	'fur bag great spirit potion')



npcHandler:addModule(FocusModule:new())