local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

function onCreatureAppear(cid)			npcHandler:onCreatureAppear(cid)			end
function onCreatureDisappear(cid)		npcHandler:onCreatureDisappear(cid)			end
function onCreatureSay(cid, type, msg)	npcHandler:onCreatureSay(cid, type, msg)	end
function onThink()						npcHandler:onThink()						end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)

shopModule:addSellableItem({'paladin armor', 'paladin armor'},                  8891, 15000,    'paladin armor')
shopModule:addSellableItem({'dragon scale mail', 'dsm'},                  2492, 40000,    'dragon scale mail')
shopModule:addSellableItem({'dwarven armor', 'dwarven armor'},            2503, 30000,    'dwarven armor')
shopModule:addSellableItem({'golden armor', 'golden armor'},              2466, 20000,    'golden armor')
shopModule:addSellableItem({'leopard armor', 'leopard armor'},            3968, 1000,     'leopard armor')
shopModule:addSellableItem({'mammoth fur cape', 'mfc'},                   7463, 6000,     'mammoth fur cape')
shopModule:addSellableItem({'magic plate armor', 'magic plate armor'},    2472, 100000,    'magic plate armor')
shopModule:addSellableItem({'knight armor', 'knight armor'},              2476, 5000,     'knight armor')
shopModule:addSellableItem({'noble armor', 'noble armor'},                2486, 900,     'noble armor')
shopModule:addSellableItem({'crown armor', 'crown armor'},                2487, 12000,    'crown armor')
shopModule:addSellableItem({'pirate shirt', 'pirate shirt'},              6095, 500,      'pirate shirt')
shopModule:addSellableItem({'dark armor', 'dark armor'},                  2489, 500,      'dark armor')
shopModule:addSellableItem({'blue robe', 'blue robe'},                    2656, 11000,    'blue robe')
shopModule:addSellableItem({'terra mantle', 'terra mantle'},              7884, 11000,    'terra mantle')
shopModule:addSellableItem({'glacier robe', 'glacier robe'},              7897, 11000,    'glacier rope')
shopModule:addSellableItem({'lighting robe', 'lighting robe'},            7898, 11000,    'lighting robe')
shopModule:addSellableItem({'magma coat', 'magma coat'},                  7899, 11000,    'magma coat')
shopModule:addSellableItem({'golden legs', 'golden legs'},                2470, 100000,   'golden legs')
shopModule:addSellableItem({'knight legs', 'knight legs'},                2477, 5000,     'knight legs')
shopModule:addSellableItem({'crown legs', 'crown legs'},                  2488, 12000,    'crown legs')
shopModule:addSellableItem({'plate legs', 'plate legs'},                  2647, 200,      'plate legs')
shopModule:addSellableItem({'mammoth fur shorts', 'mfs'},                 7464, 850,      'mammoth fur shorts')
shopModule:addSellableItem({'terra legs', 'terra legs'},                  7885, 11000,    'terra legs')
shopModule:addSellableItem({'magma legs', 'magma legs'},                  7894, 11000,    'magma legs')
shopModule:addSellableItem({'lighting legs', 'lighting legs'},            7895, 11000,    'lighting legs')
shopModule:addSellableItem({'glacier kilt', 'glacier kilt'},              7896, 11000,    'glacier kilt')
shopModule:addSellableItem({'bast skirt', 'bast skirt'},                  3983, 750,     'bast skirt')
shopModule:addSellableItem({'blue legs', 'blue legs'},                    7730, 15000,    'blue legs')
shopModule:addSellableItem({'pirate knee breeches', 'pkb'},               5918, 200,      'pirate knee breeches')
shopModule:addSellableItem({'mastermind shield', 'mastermind shield'},    2514, 70000,    'mastermind shield')
shopModule:addSellableItem({'guardian shield', 'guardian shield'},        2515, 2000,     'guardian shield')
shopModule:addSellableItem({'dragon shield', 'dragon shield'},            2516, 4000,     'dragon shield')
shopModule:addSellableItem({'beholder shield', 'beholder shield'},        2518, 1200,     'beholder shield')
shopModule:addSellableItem({'crown shield', 'crown shield'},              2519, 8000,     'crown shield')
shopModule:addSellableItem({'demon shield', 'demon shield'},              2520, 30000,    'demon shield')
shopModule:addSellableItem({'dark shield', 'dark shield'},                2521, 400,      'dark shield')
shopModule:addSellableItem({'dwarven shield', 'dwarven shield'},          2525, 100,      'dwarven shield')
shopModule:addSellableItem({'tower shield', 'tower shield'},              6128, 8000,     'tower shield')
shopModule:addSellableItem({'black shield', 'black shield'},              2529, 1000,     'black shield')
shopModule:addSellableItem({'copper shield', 'copper shield'},            2530, 30,       'copper shield')
shopModule:addSellableItem({'viking shield', 'viking shield'},            2531, 100,      'viking shield')
shopModule:addSellableItem({'ancient shield', 'ancient shield'},          2532, 1000,     'ancient shield')
shopModule:addSellableItem({'griffin shield', 'griffin shield'},          2533, 1500,     'griffin shield')
shopModule:addSellableItem({'vampire shield', 'vampire shield'},          2534, 15000,    'vampire shield')
shopModule:addSellableItem({'medusa shield', 'medusa shield'},            2536, 9000,     'medusa shield')
shopModule:addSellableItem({'scarab shield', 'scarab shield'},            2540, 2000,     'scarab shield')
shopModule:addSellableItem({'bone shield', 'bone shield'},                2541, 160,      'bone shield')
shopModule:addSellableItem({'tusk shield', 'tusk shield'},                3973, 1000,     'tusk shield')
shopModule:addSellableItem({'sentinel shield', 'sentinel shield'},        3974, 700,      'sentinel shield')
shopModule:addSellableItem({'salamander shield', 'salamander shield'},    3975, 600,      'salamander shield')
shopModule:addSellableItem({'tortoise shield', 'tortoise shield'},        6131, 150,      'tortoise shield')
shopModule:addSellableItem({'norse shield', 'norse shield'},              7460, 1500,     'norse shield')
shopModule:addSellableItem({'steel helmet', 'steel helmet'},              2457, 300,      'steel helmet')
shopModule:addSellableItem({'devil helmet', 'devil helmet'},              2462, 1000,     'devil helmet')
shopModule:addSellableItem({'warrior helmet', 'warrior helmet'},          2475, 5000,     'warrior helmet')
shopModule:addSellableItem({'strange helmet', 'strange helmet'},          2479, 500,      'strange helmet')
shopModule:addSellableItem({'dark helmet', 'dark helmet'},                2490, 250,      'dark helmet')
shopModule:addSellableItem({'crown helmet', 'crown helmet'},              2491, 2500,     'crown helmet')
shopModule:addSellableItem({'crusader helmet', 'crusader helmet'},        2497, 6000,     'crusader helmet')
shopModule:addSellableItem({'royal helmet', 'royal helmet'},              2498, 30000,    'royal helmet')
shopModule:addSellableItem({'mystic turban', 'mystic turban'},            2663, 150,      'mystic turban')
shopModule:addSellableItem({'tribal mask', 'tribal mask'},                3967, 250,      'tribal mask')
shopModule:addSellableItem({'horseman helmet', 'horseman helmet'},        3969, 300,     'horseman helmet')
shopModule:addSellableItem({'feather headdress', 'feather head'},         3970, 850,     'feather headdress')
shopModule:addSellableItem({'charmer tiara', 'charmer tiara'},            3971, 900,    'charmer tiara')
shopModule:addSellableItem({'beholder helmet', 'beholder helmet'},        3972, 7500,     'beholder helmet')
shopModule:addSellableItem({'skull helmet', 'skull helmet'},              5741, 40000,    'skull helmet')
shopModule:addSellableItem({'pirate hat', 'pirate hat'},                  6096, 1000,     'pirate hat')
shopModule:addSellableItem({'krimhorn helmet', 'krimhorn helmet'},        7461, 200,      'krimhorn helmet')
shopModule:addSellableItem({'ragnir helmet', 'ragnir helmet'},            7462, 400,      'ragnir helmet')
shopModule:addSellableItem({'earmuffs', 'earmuffs'},                      7459, 1000,     'earmuffs')
shopModule:addSellableItem({'terra hood', 'terra hood'},                  7903, 2500,     'terra hood')
shopModule:addSellableItem({'lighting headband', 'lightning headband'},   7901, 2500,     'lighting headband')
shopModule:addSellableItem({'glacier mask', 'glacier mask'},              7902, 2500,     'glacier mask')
shopModule:addSellableItem({'magma monocle', 'magma monocle'},            7900, 2500,     'magma monocle')
shopModule:addSellableItem({'boots of haste', 'boots of haste'},          2195, 30000,    'boots of haste')
shopModule:addSellableItem({'patched boots', 'patched boots'},            2641, 2000,     'patched boots')
shopModule:addSellableItem({'steel boots', 'steel boots'},                2645, 30000,    'steel boots')
shopModule:addSellableItem({'crocodile boots', 'crocodile boots'},        3982, 1000,     'crocodile boots')
shopModule:addSellableItem({'fur boots', 'fur boots'},                    7457, 2000,     'fur boots')
shopModule:addSellableItem({'terra boots', 'terra boots'},                7886, 2500,     'terra boots')
shopModule:addSellableItem({'magma boots', 'magma boots'},                7891, 2500,     'magma boots')
shopModule:addSellableItem({'glacier shoes', 'glacier shoes'},            7892, 2500,     'glacier shoes')
shopModule:addSellableItem({'lighting boots', 'lighting boots'},          7893, 2500,     'lighting boots')

npcHandler:addModule(FocusModule:new())
