local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)
local talkState = {}

function onCreatureAppear(cid)                npcHandler:onCreatureAppear(cid)            end
function onCreatureDisappear(cid)             npcHandler:onCreatureDisappear(cid)            end
function onCreatureSay(cid, type, msg)            npcHandler:onCreatureSay(cid, type, msg)        end
function onThink()                    npcHandler:onThink()                    end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)

shopModule:addBuyableItem({'meat'}, 2666, 5, 1,'meat')
shopModule:addBuyableItem({'fish'}, 2667, 5, 1,'fish')
shopModule:addBuyableItem({'salmon'}, 2668, 5, 1,'salmon')
shopModule:addBuyableItem({'ham'}, 2671, 8, 1,'ham')
shopModule:addBuyableItem({'dragon ham'}, 2672, 20, 1,'dragon ham')
shopModule:addBuyableItem({'pear'}, 2673, 4, 1,'pear')
shopModule:addBuyableItem({'red apple'}, 2674, 3, 1,'red apple')
shopModule:addBuyableItem({'orange'}, 2675, 10, 1,'orange')
shopModule:addBuyableItem({'banana'}, 2676, 3, 1,'banana')
shopModule:addBuyableItem({'blueberry'}, 2677, 1, 1,'blueberry')
shopModule:addBuyableItem({'cherry'}, 2679, 1, 1,'cherry')
shopModule:addBuyableItem({'strawberry'}, 2680, 1, 1,'strawberry')
shopModule:addBuyableItem({'grape'}, 2680, 3, 1,'grape')
shopModule:addBuyableItem({'melon'}, 2682, 8, 1,'melon')
shopModule:addBuyableItem({'pumpkin'}, 2683, 10, 1,'pumpkin')
shopModule:addBuyableItem({'carrot'}, 2684, 3, 1,'carrot')
shopModule:addBuyableItem({'tomato'}, 2685, 5, 1,'tomato')
shopModule:addBuyableItem({'corncob'}, 2686, 3, 1,'corncob')
shopModule:addBuyableItem({'cookie'}, 2687, 2, 1,'cookie')
shopModule:addBuyableItem({'bread'}, 2689, 4, 1,'bread')
shopModule:addBuyableItem({'roll'}, 2690, 2, 1,'roll')
shopModule:addBuyableItem({'brown bread'}, 2691, 3, 1,'brown bread')
shopModule:addBuyableItem({'egg'}, 2695, 2, 1,'egg')
shopModule:addBuyableItem({'white mushroom'}, 2787, 6, 1,'white mushroom')
shopModule:addBuyableItem({'red mushroom'}, 2788, 12, 1,'red mushroom')
shopModule:addBuyableItem({'brown mushroom'}, 2789, 10, 1,'brown mushroom')
shopModule:addBuyableItem({'valentine cake'}, 6393, 6, 1,'valentine cake')
shopModule:addBuyableItem({'cookbook'}, 2347, 150, 1,'cookbook')
shopModule:addBuyableItem({'ice cream cone'}, 7372, 150, 1,'ice cream cone')
shopModule:addBuyableItem({'party cake'}, 6280, 50, 1,'party cake')
shopModule:addBuyableItem({'raspberry'}, 8840, 2, 1,'raspberry')
shopModule:addBuyableItem({'candy'}, 6569, 10, 1,'candy')
shopModule:addBuyableItem({'lemon'}, 8841, 5, 1,'lemon')
shopModule:addBuyableItem({'mango'}, 5097, 5, 1,'mango')
shopModule:addBuyableItem({'peanut'}, 7910, 1, 1,'peanut')
shopModule:addBuyableItem({'walnut'}, 7909, 2, 1,'walnut')
shopModule:addBuyableItem({'shrimp'}, 2670, 3, 1,'shrimp')
shopModule:addBuyableItem({'plum'}, 8839, 1, 1,'plum')
shopModule:addBuyableItem({'onion'}, 8843, 3, 1,'onion')
shopModule:addBuyableItem({'beetroot'}, 8845, 2, 1,'beetroot')
shopModule:addBuyableItem({'bulb of garlic'}, 9114, 5, 1,'bulb of garlic')
shopModule:addBuyableItem({'green perch'}, 7159, 2, 1,'green perch')
shopModule:addBuyableItem({'pumpkin'}, 2683, 5, 1,'pumpkin')
shopModule:addBuyableItem({'coconut'}, 2678, 5, 1,'coconut')
shopModule:addBuyableItem({'rainbow trout'}, 7158, 5, 1,'rainbow trout')

npcHandler:addModule(FocusModule:new())