local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

-- OTServ event handling functions start
function onCreatureSay(cid, type, msg) 							npcHandler:onCreatureSay(cid, type, msg) end
function onThingMove(creature, thing, oldpos, oldstackpos) 				npcHandler:onThingMove(creature, thing, oldpos, oldstackpos) end
function onCreatureAppear(creature) 							npcHandler:onCreatureAppear(creature) end
function onCreatureDisappear(id) 							npcHandler:onCreatureDisappear(id) end
function onCreatureTurn(creature) 							npcHandler:onCreatureTurn(creature) end
function onCreatureChangeOutfit(creature) 						npcHandler:onCreatureChangeOutfit(creature) end
function onThink() 									npcHandler:onThink() end
-- OTServ event handling functions end


local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)
		
function creatureSayCallback(cid, type, msg)
	if(npcHandler.focus ~= cid) then
		return false
	end

     		not_enough_money = 'You do not have enough of money'
		stake_give = 'Argh... my heart aches! Alright... a promise is a promise. Here - take this wooden stake, and now get lost.'
		player_gold = getPlayerItemCount(cid,2148)
		player_plat = getPlayerItemCount(cid,2152)*100
		player_crys = getPlayerItemCount(cid,2160)*10000
		player_money = player_gold + player_plat + player_crys

-- Wooden Stake --		
if msgcontains(msg, 'wooden stake') then
total = 5000
selfSay('Making a stake from a chair? Are you insane??! I won\'t waste my chairs on you for free! You will have to pay for it, but since I consider your plan a blasphemy, it will cost '..total..' gold pieces. Okay?')
talk_state = 1	

-- Confirm yes --
elseif msgcontains(msg, 'yes') and talk_state == 1 then
if doPlayerRemoveMoney(cid, total) == TRUE then
		selfSay(stake_give)
		doPlayerGiveItem(cid, 5941, 1)
		focus = 0
else
selfSay(not_enough_money)
end

-- Decline --
elseif msgcontains(msg, 'no') and talk_state == 1 then
		selfSay('Thank god, that I won\'t have to ruin my chair!')
		talk_state = 0
	end
    return true
end




-- Statues --
shopModule:addBuyableItem({'knight statue'},		 	1442, 50,1,		'Knight Statue')
shopModule:addBuyableItem({'minotaur statue'},	 		1446, 50,1, 	 	'Minotaur Statue')
shopModule:addBuyableItem({'goblin statue'},		 	1447, 50,1,		'Goblin Statue')
-- Tables --
shopModule:addBuyableItem({'small table'},		 	3912, 15,1,		'Small Table')
shopModule:addBuyableItem({'small round table'},	 	3911, 15,1,		'Small Round Table')
shopModule:addBuyableItem({'stone table'},	 		3913, 20,1, 	 	'Stone Table')
shopModule:addBuyableItem({'square table'},		 	3910, 20,1,		'Square Table')
shopModule:addBuyableItem({'big table'},		 	3909, 25,1,		'Big Table')
shopModule:addBuyableItem({'tusk table'},		 	3914, 25,1,		'Tusk Table')
shopModule:addBuyableItem({'bamboo table'},		 	3919, 25,1,		'Bamboo Table')
-- Chairs --
shopModule:addBuyableItem({'wooden chair'},		 	3901, 25,1,		'Wooden Chair')
shopModule:addBuyableItem({'sofa chair'},		 	3902, 50,1,		'Sofa Chair')
shopModule:addBuyableItem({'red cushioned chair'}, 		3903, 40,1, 	 	'Red Cushioned Chair')
shopModule:addBuyableItem({'green cushioned chair'},	 	3904, 40,1,		'Green Cushioned Chair')
shopModule:addBuyableItem({'tusk chair'},		 	3905, 30,1,		'Tusk Chair')
shopModule:addBuyableItem({'ivory chair'},		 	3906, 30,1,		'Ivory Chair')
shopModule:addBuyableItem({'tree stump'},		 	3907, 15,1,		'Tree Stump')
-- other --
shopModule:addBuyableItem({'coal basin'},		 	3908, 40,1,		'Coal Basin')
shopModule:addBuyableItem({'harp'},			 	3917, 45,1,		'Harp')
shopModule:addBuyableItem({'bird cage'},		 	3918, 45,1,		'Bird Cage')
shopModule:addBuyableItem({'thick trunk'},		 	3920, 15,1,		'Thick Trunk')
shopModule:addBuyableItem({'drawers'},	 			3921, 40,1,		'Drawers')
shopModule:addBuyableItem({'barrel'},			 	3923, 15,1,		'Barrel')
shopModule:addBuyableItem({'piano'},			 	3926, 50,1,		'Piano')
shopModule:addBuyableItem({'globe'},		 		3927, 25,1,		'Globe')
shopModule:addBuyableItem({'potted flower'}, 			3928, 25,1,		'Potted Flower')
shopModule:addBuyableItem({'indoor plant'},		 	3929, 25,1,		'Indoor Plant')
shopModule:addBuyableItem({'christmas tree'},		 	3931, 35,1,		'Christmas Tree')
shopModule:addBuyableItem({'dresser'},		 		3932, 20,1,		'Dresser')
shopModule:addBuyableItem({'pendulum clock'},	 		3933, 45,1,		'Pendulum Clock')
shopModule:addBuyableItem({'locker'},		 		3934, 35,1,		'Locker')
shopModule:addBuyableItem({'trough'},		 		3935, 15,1,		'Trough')
shopModule:addBuyableItem({'bookcase'},		 		3936, 40,1,		'Bookcase')	
shopModule:addBuyableItem({'table lamp'},	 		3937, 25,1,		'Table Lamp')
shopModule:addBuyableItem({'large trunk'},		 	3938, 35,1,		'Large Trunk')	
-- Tapestries --
shopModule:addBuyableItem({'purple tapestry'},		 	1857, 25,1,		'Purple Tapestry')
shopModule:addBuyableItem({'green tapestry'},		 	1860, 25,1,		'Green Tapestry')
shopModule:addBuyableItem({'yellow tapestry'},		 	1863, 25,1,		'Yellow Tapestry')
shopModule:addBuyableItem({'orange tapestry'},		 	1866, 25,1,		'Orange Tapestry')
shopModule:addBuyableItem({'red tapestry'},		 	1869, 25,1,		'Red Tapestry')
shopModule:addBuyableItem({'blue tapestry'},		 	1872, 25,1,		'Blue Tapestry')
shopModule:addBuyableItem({'white tapestry'},		 	1880, 25,1,		'White Tapestry')
shopModule:addBuyableItem({'wooden stake'},		 	5941, 5000,1,		'wooden stake')

npcHandler:setCallback(CALLBACK_MESSAGE_DEFAULT, creatureSayCallback)
-- Makes sure the npc reacts when you say hi, bye etc.
npcHandler:addModule(FocusModule:new())
