local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)
local talkState = {}

function onCreatureAppear(cid)				npcHandler:onCreatureAppear(cid)			end
function onCreatureDisappear(cid) 			npcHandler:onCreatureDisappear(cid)			end
function onCreatureSay(cid, type, msg)			npcHandler:onCreatureSay(cid, type, msg)		end
function onThink()					npcHandler:onThink()					end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)


shopModule:addBuyableItem({'small health'}, 8704, 10, 1, 'small health potion')
shopModule:addBuyableItem({'health potion'}, 7618, 15, 1, 'health potion')
shopModule:addBuyableItem({'mana potion'}, 7620, 15, 1, 'mana potion')
shopModule:addBuyableItem({'strong health'}, 7588, 25, 1, 'strong health potion')
shopModule:addBuyableItem({'strong mana'}, 7589, 30, 1, 'strong mana potion')
shopModule:addBuyableItem({'great health'}, 7591, 70, 1, 'great health potion')
shopModule:addBuyableItem({'great mana'}, 7590, 70, 1, 'great mana potion')
shopModule:addBuyableItem({'great spirit'}, 8472, 75, 1, 'great spirit potion')
shopModule:addBuyableItem({'ultimate health'}, 8473, 170, 1, 'ultimate health potion')
shopModule:addBuyableItem({'antidote potion'}, 8474, 25, 1, 'antidote potion')

shopModule:addBuyableItem({'animate dead'}, 2316, 130, 1, 'animate dead rune')
shopModule:addBuyableItem({'wild growth'}, 2269, 70, 1, 'wild growth rune')
shopModule:addBuyableItem({'magic wall'}, 2293, 50, 1, 'magic wall rune')
shopModule:addBuyableItem({'stalagmite'}, 2292, 50, 1, 'stalagmite rune')
shopModule:addBuyableItem({'poison wall'}, 2289, 90, 1, 'poison wall rune')
shopModule:addBuyableItem({'poison field'}, 2285, 25, 1, 'poison field rune')
shopModule:addBuyableItem({'fire wall'}, 2303, 95, 1, 'fire wall rune')
shopModule:addBuyableItem({'fire field'}, 2301, 35, 1, 'fire field rune')
shopModule:addBuyableItem({'fire bomb'}, 2305, 85, 1, 'fire bomb rune')
shopModule:addBuyableItem({'energy wall'}, 2279, 115, 1, 'energy wall rune')
shopModule:addBuyableItem({'energy field rune'}, 2277, 55, 1, 'energy field rune')
shopModule:addBuyableItem({'blank rune'}, 2260, 8, 1, 'blank rune')
shopModule:addBuyableItem({'avalanche'}, 2274, 25, 1, 'avalanche rune')
shopModule:addBuyableItem({'instense healing'}, 2265, 35, 1, 'intense healing rune')
shopModule:addBuyableItem({'ultimate healing'}, 2273, 50, 1, 'ultimate healing rune')
shopModule:addBuyableItem({'destroy field'}, 2261, 20, 1, 'destroy field rune')
shopModule:addBuyableItem({'light magic missile'}, 2287, 15, 1, 'light magic missile rune')
shopModule:addBuyableItem({'heavy magic missile'}, 2311, 30, 1, 'heavy magic missile rune')
shopModule:addBuyableItem({'great fireball'}, 2304, 40, 4, 'great fireball rune')
shopModule:addBuyableItem({'explosion'}, 2313, 40, 1, 'explosion rune')
shopModule:addBuyableItem({'sudden death'}, 2268, 90, 1, 'sudden death rune')
shopModule:addBuyableItem({'paralyze'}, 2278, 170, 1, 'paralyze rune')
shopModule:addBuyableItem({'convince creature'}, 2290, 20, 1, 'convince creature rune')
shopModule:addBuyableItem({'chameleon'}, 2291, 55, 1, 'chameleon rune')
shopModule:addBuyableItem({'desintegrate'}, 2310, 20,  1, 'desintegrate rune')

shopModule:addBuyableItem({'bullseye'}, 7443, 250,  1, 'bullseye potion')
shopModule:addBuyableItem({'berserk'}, 7439, 250,  1, 'berserk potion')
shopModule:addBuyableItem({'mastermind potion'}, 7440, 250,  1, 'mastermind potion')

local items = {[1] = 2190, [2] = 2182, [5] = 2190, [6] = 2182}
function creatureSayCallback(cid, type, msg)
	if(not npcHandler:isFocused(cid)) then
		return false
	end

	local talkUser = NPCHANDLER_CONVBEHAVIOR == CONVERSATION_DEFAULT and 0 or cid
	if(msgcontains(msg, 'first rod') or msgcontains(msg, 'first wand')) then
		if(isSorcerer(cid) or isDruid(cid)) then
			if(getPlayerStorageValue(cid, 30002) <= 0) then
				selfSay('So you ask me for a {' .. getItemNameById(items[getPlayerVocation(cid)]) .. '} to begin your advanture?', cid)
				talkState[talkUser] = 1
			else
				selfSay('What? I have already gave you one {' .. getItemNameById(items[getPlayerVocation(cid)]) .. '}!', cid)
			end
		else
			selfSay('Sorry, you aren\'t a druid either a sorcerer.', cid)
		end
	elseif(msgcontains(msg, 'yes')) then
		if(talkState[talkUser] == 1) then
			doPlayerAddItem(cid, items[getPlayerVocation(cid)], 1)
			selfSay('Here you are young adept, take care yourself.', cid)
			setPlayerStorageValue(cid, 30002, 1)
		end
		talkState[talkUser] = 0
	elseif(msgcontains(msg, 'no') and isInArray({1}, talkState[talkUser])) then
		selfSay('Ok then.', cid)
		talkState[talkUser] = 0
	end

	return true
end

npcHandler:setCallback(CALLBACK_MESSAGE_DEFAULT, creatureSayCallback)
npcHandler:addModule(FocusModule:new())
