local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

function onCreatureAppear(cid)            npcHandler:onCreatureAppear(cid)        end
function onCreatureDisappear(cid)        npcHandler:onCreatureDisappear(cid)        end
function onCreatureSay(cid, type, msg)        npcHandler:onCreatureSay(cid, type, msg)    end
function onThink()                npcHandler:onThink()                end

-- XVX FORGER START --

function creatureSayCallback(cid, type, msg)
    -- Place all your code in here. Remember that hi, bye and all that stuff is already handled by the npcsystem, so you do not have to take care of that yourself.
    if (not npcHandler:isFocused(cid)) then
        return false
    end

        if msgcontains(msg, 'obsidian') then
                npcHandler:say('Do you want to change a draconian steel and a obsidian lance for an obsidian knife?', cid)
                talk_state = 1
        elseif msgcontains(msg, 'yes') and talk_state == 1 then
			if getPlayerItemCount(cid,2425) >= 1 and getPlayerItemCount(cid,5889) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2425, 1)
                    doPlayerRemoveItem(cid, 5889, 1)
                    doPlayerAddItem(cid, 5908, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need a draconian steel and a obsidian lance.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'draconian steel') then
                npcHandler:say('Do you want to change a dragon shield for a piece of draconian steel?', cid)
                talk_state = 2
        elseif msgcontains(msg, 'yes') and talk_state == 2 then
            if getPlayerItemCount(cid, 2516) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2516, 1)
                    doPlayerAddItem(cid, 5889, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a dragon shield with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'hell steel') then
                npcHandler:say('Do you want to change a devil helmet for a piece of hell steel?', cid)
                talk_state = 3
        elseif msgcontains(msg, 'yes') and talk_state == 3 then
            if getPlayerItemCount(cid, 2462) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2462, 1)
                    doPlayerAddItem(cid, 5888, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a devil helmet with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'royal steel') then
                npcHandler:say('Do you want to change a crown armor for a piece of royal steel?', cid)
                talk_state = 4
        elseif msgcontains(msg, 'yes') and talk_state == 4 then
            if getPlayerItemCount(cid, 2487) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2487, 1)
                    doPlayerAddItem(cid, 5887, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a crown armor with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'crude iron') then
                npcHandler:say('Do you want to change a giant sword for a huge chunk of crude iron?', cid)
                talk_state = 5
        elseif msgcontains(msg, 'yes') and talk_state == 5 then
            if getPlayerItemCount(cid, 2393) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2393, 1)
                    doPlayerAddItem(cid, 5892, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a giant sword with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'infernal bolt') then
                npcHandler:say('Do you want to change soul orbs for infernal bolts?', cid)
                talk_state = 6
        elseif msgcontains(msg, 'yes') and talk_state == 6 then
            if getPlayerItemCount(cid, 5944) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerAddItem(cid, 6529, 2*getPlayerItemCount(cid,5944))
                    doPlayerRemoveItem(cid, 5944, getPlayerItemCount(cid,5944))
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have soul orbs with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'gear wheel') then
                npcHandler:say('Do you want to change an iron ore for a gear wheel?', cid)
                talk_state = 7
        elseif msgcontains(msg, 'yes') and talk_state == 7 then
            if getPlayerItemCount(cid, 5880) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 5880, 1)
                    doPlayerAddItem(cid, 9690, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have an iron ore with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'no') and (talk_state >= 1 and talk_state <= 7) then
            npcHandler:say('Ok thanks.', cid)
            talk_state = 0
        end
    -- Place all your code in here. Remember that hi, bye and all that stuff is already handled by the npcsystem, so you do not have to take care of that yourself.
    return true
end
npcHandler:setCallback(CALLBACK_MESSAGE_DEFAULT, creatureSayCallback)


local shopModule = ShopModule:new()



npcHandler:addModule(shopModule)



shopModule:addSellableItem({'chain helmet'}, 2458,20, 'chain helmet')
shopModule:addSellableItem({'brass helmet'}, 2460,120, 'brass helmet')
shopModule:addSellableItem({'leather helmet'}, 2461,15, 'leather helmet')
shopModule:addSellableItem({'viking helmet'}, 2473,265, 'viking helmet')
shopModule:addSellableItem({'soldier helmet'}, 2481,50, 'soldier helmet')
shopModule:addSellableItem({'iron helmet'}, 2459,150,'iron helmet')
shopModule:addSellableItem({'dark helmet'}, 2490,250,'dark helmet')
shopModule:addSellableItem({'steel helmet'}, 2457,300,'steel helmet')

shopModule:addSellableItem({'chain armor'}, 2464,70,'chain armor')
shopModule:addSellableItem({'brass armor'}, 2465,450,'brass armor')
shopModule:addSellableItem({'leather armor'}, 2467,35,'leather armor')
shopModule:addSellableItem({'belted cape'}, 8872,300, 'belted cape')
shopModule:addSellableItem({'plate armor'}, 2463,800, 'plate armor')

shopModule:addSellableItem({'brass legs'}, 2478,50, 'brass legs')
shopModule:addSellableItem({'chain legs'}, 2648,20, 'chain legs')
shopModule:addSellableItem({'plate legs'}, 2647,115, 'plate legs')
shopModule:addSellableItem({'brass shield'}, 2511,65, 'brass shield')
shopModule:addSellableItem({'wooden shield'}, 2512,15, 'wooden shield')
shopModule:addSellableItem({'plate shield'}, 2510,45, 'plate shield')
shopModule:addSellableItem({'steel shield'}, 2509,80, 'steel shield')
shopModule:addSellableItem({'dwarven shield'}, 2525,100, 'dwarven shield')

shopModule:addSellableItem({'spear'}, 2389,2,'spear')
shopModule:addSellableItem({'bow'}, 2456,100, 'bow')
shopModule:addSellableItem({'crossbow'}, 2455,200, 'crossbow')
shopModule:addSellableItem({'mace'}, 2398,30, 'mace')
shopModule:addSellableItem({'battle hammer'}, 2417,140, 'battle hammer')
shopModule:addSellableItem({'morning star'}, 2394,90, 'morning star')
shopModule:addSellableItem({'clerical mace'}, 2423,170, 'clerical mace')
shopModule:addSellableItem({'hatchet'}, 2378,25, 'hatchet')
shopModule:addSellableItem({'battle axe'}, 2378,80, 'battle axe')
shopModule:addSellableItem({'halberd'}, 2381,400, 'halberd')
shopModule:addSellableItem({'double axe'}, 2387,260, 'double axe')
shopModule:addSellableItem({'sword'}, 2376,30, 'sword')
shopModule:addSellableItem({'longsword'}, 2397,90, 'longsword')
shopModule:addSellableItem({'scimitar'}, 2419,150, 'scimitar')


npcHandler:addModule(FocusModule:new())