dofile("./Wars.lua")

function onSay(cid, words, param)
	local myGuild = getPlayerGuildId(cid)
	if myGuild ~= 0 then
		local myInfo = WarInfo(myGuild)
		if getPlayerGuildLevel(cid) >= Need_rank then
			if words == "/create-war" then
				if IsInPeace(myGuild) == true then
					local newWar = createWar()
					updateWarInfo(myGuild, newWar, 1)
					doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has started a new war.", BroadCast_Type)
				else
					doPlayerSendCancel(cid, "Your guild is already in a war or have a pending invitation.")
				end
			elseif words == "/leave-war" then
				if myInfo.War ~= 0 then
					if (os.time() - myInfo.Joined) >= (DelayToLeave) then
						leaveWar(myGuild)
						doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has left the war.", BroadCast_Type)
					else
						doPlayerSendCancel(cid, "You would wait " .. ((DelayToLeave/60)/60) .. " Hours to leave the war.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is not in any war.")
				end
			elseif words == "/reject-war" then
				if myInfo.Inv ~= 0 then
					cleanInfo(myGuild)
					doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has reject the initatio to join the war.", BroadCast_Type)
				else
					doPlayerSendCancel(cid, "Your guild does not have any pending invitation.")
				end
			elseif words == "/join-war" then
				if myInfo.Inv ~= 0 then
					updateWarInfo(myGuild, myInfo.Inv, myInfo.Team)
					doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has accepted the invitation to join the team " .. myInfo.Team .. " of the war.", BroadCast_Type)
				else
					doPlayerSendCancel(cid, "Your guild does not have any pending invitation.")
				end
			elseif words == "/invite-enemy" then
				if myInfo.War ~= 0 then
					if param ~= "" then
						local enemyGuild = getGuildIdByName(param)
						if enemyGuild ~= LUA_ERROR then
							if IsInPeace(enemyGuild) == true then
								inviteToWar(enemyGuild, myInfo.War, (myInfo.Team == 1 and 2 or 1))
								doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has invited " .. getGuildNameById(enemyGuild) .. " to join their war as enemy.", BroadCast_Type)
							else
								doPlayerSendCancel(cid, "This guild is already in a war or have a pending invitation.")
							end
						else
							doPlayerSendCancel(cid, "Write a correct guild name.")
						end
					else
						doPlayerSendCancel(cid, "Write the name of the guild.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is not in any war.")
				end
			elseif words == "/invite-ally" then
				if myInfo.War ~= 0 then
					if param ~= "" then
						local enemyGuild = getGuildIdByName(param)
						if enemyGuild ~= LUA_ERROR then
							if IsInPeace(enemyGuild) == true then
								inviteToWar(enemyGuild, myInfo.War, myInfo.Team)
								doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has invited " .. getGuildNameById(enemyGuild) .. " to join their war as ally.", BroadCast_Type)
							else
								doPlayerSendCancel(cid, "This guild is already in a war or have a pending invitation.")
							end
						else
							doPlayerSendCancel(cid, "Write a correct guild name.")
						end
					else
						doPlayerSendCancel(cid, "Write the name of the guild.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is not in any war.")
				end
			end
		else
			doPlayerSendCancel(cid, "You can\'t execute this command.")
		end
	else
		doPlayerSendCancel(cid, "You can\'t execute this command.")
	end
	return TRUE
end 
