dofile("./wars.lua")

function onSay(cid, words, param)	
	if (words == "/clean-wars" and getPlayerAccess(cid) >= 5) then
		return deleteInvalidWars()
	end
	local myGuild = getPlayerGuildId(cid)
	if myGuild ~= 0 then
		local myInfo = WarInfo(myGuild)
		if getPlayerGuildLevel(cid) >= Need_rank then
			if words == "/create-war" then
				local frags_limit = DEFAULT_FRAGS_LIMIT
				local join_price = DEFAULT_JOIN_PRICE
				if (param ~= '') then
					local xp = param:explode(',')
					local lmt, jnp = xp[1], xp[2]
					if lmt then
						lmt = tonumber(lmt)
						if lmt then
							if (lmt > MIN_FRAGS) and (lmt <= MAX_FRAGS) then
								frags_limit = lmt
							end
						end
					end
					if jnp then
						jnp = tonumber(jnp)
						if jnp then
							if (jnp > MIN_PRICE) and (jnp <= MAX_PRICE) then
								join_price = jnp
							end
						end
					end
				end
				
				if IsInPeace(myGuild) == true then
					if (getPlayerMoney(cid) >= join_price) then
						doPlayerRemoveMoney(cid, join_price)
						local newWar = createWar()
						db.executeQuery("UPDATE `wars` SET `join_price` = " .. join_price .. ", `frags_limit` = " .. frags_limit .. ", `total_money` = " .. join_price .. " WHERE `id` = " .. newWar ..";")
						updateWarInfo(myGuild, newWar, 1)
						doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has started a new war with join price [" .. join_price .. "]", BroadCast_Type)
					else
						doPlayerSendCancel(cid, "not enough money.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is already in a war or have a pending invitation.")
				end
			elseif words == "/leave-war" then
				if myInfo.War ~= 0 then
					if (os.time() - myInfo.Joined) >= (DelayToLeave) then
						leaveWar(myGuild)
						doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has left the war.", BroadCast_Type)
					else
						doPlayerSendCancel(cid, "You would wait " .. ((DelayToLeave/60)/60) .. " Hours to leave the war.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is not in any war.")
				end
			elseif words == "/reject-war" then
				if myInfo.Inv ~= 0 then
					cleanInfo(myGuild)
					doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has reject the invitatio to join the war.", BroadCast_Type)
				else
					doPlayerSendCancel(cid, "Your guild does not have any pending invitation.")
				end
			elseif words == "/join-war" then
				if myInfo.Inv ~= 0 then
					local info = paymentInformation(myInfo.Inv)
					if (getPlayerMoney(cid) >= info['join_price']) then
						doPlayerRemoveMoney(cid, info['join_price'])
						db.executeQuery("UPDATE `wars` SET `total_money` = `total_money` + " .. info['join_price'] .. " WHERE `id` = " .. myInfo.Inv ..";")
						updateWarInfo(myGuild, myInfo.Inv, myInfo.Team)
						doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has accepted the initation to join the team " .. myInfo.Team .. " of the war.", BroadCast_Type)
					else
						doPlayerSendCancel(cid, "not enough money, you need " .. info['join_price'] .. ".")
					end
				else
					doPlayerSendCancel(cid, "Your guild does not have any pending invitation.")
				end
			elseif words == "/invite-enemy" then
				if myInfo.War ~= 0 then
					if param ~= "" then
						local enemyGuild = getGuildIdByName(param)
						if enemyGuild ~= -1 then
							if IsInPeace(enemyGuild) == true then
								inviteToWar(enemyGuild, myInfo.War, (myInfo.Team == 1 and 2 or 1))
								doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has invited " .. getGuildNameById(enemyGuild) .. " to join their war as enemy.", BroadCast_Type)
							else
								doPlayerSendCancel(cid, "This guild is already in a war or have a pending invitation.")
							end
						else
							doPlayerSendCancel(cid, "Write a correct guild name.")
						end
					else
						doPlayerSendCancel(cid, "Write the name of the guild.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is not in any war.")
				end
			elseif words == "/invite-ally" then
				if myInfo.War ~= 0 then
					if param ~= "" then
						local enemyGuild = getGuildIdByName(param)
						if enemyGuild ~= -1 then
							if IsInPeace(enemyGuild) == true then
								inviteToWar(enemyGuild, myInfo.War, myInfo.Team)
								doBroadcastMessage(getCreatureName(cid).." leader of "..getGuildNameById(myGuild).." has invited " .. getGuildNameById(enemyGuild) .. " to join their war as ally.", BroadCast_Type)
							else
								doPlayerSendCancel(cid, "This guild is already in a war or have a pending invitation.")
							end
						else
							doPlayerSendCancel(cid, "Write a correct guild name.")
						end
					else
						doPlayerSendCancel(cid, "Write the name of the guild.")
					end
				else
					doPlayerSendCancel(cid, "Your guild is not in any war.")
				end
			end
		else
			doPlayerSendCancel(cid, "You can\'t execute this command.")
		end
	else
		doPlayerSendCancel(cid, "You can\'t execute this command.")
	end
	return true
end 
